<a style="color: blue; text-decoration: underline" target="_blank" href="http://nuitdelinfo2022.thfr.fr/">Site de notre défi principal de la nuit de l'info</a>
<br>
<br>
<div class="vtmn-card ">
  <div class="vtmn-card_content">
    <p>Image</p>
    <label v-if="Label" class="vtmn-text-input_label" for="vtmn-input">
      Image URL :
    </label>
    <div class="vtmn-text-input_container">
      <input
        type="text"
        class="vtmn-text-input"
        id="vtmn-input"
        placeholder="Url"
        aria-invalid="false"
        aria-describedby="vtmn-input-helper-text"
        (change)="setUrl($event)"
      />
      <span
        class="vtmx-home-fill"
        style="color: var(--vtmn-semantic-color_content-primary); font-size: 24px;"
      ></span>
    </div>
    <br>
    <br>
    <label v-if="Label" class="vtmn-text-input_label" for="vtmn-input">
      Or upload file :
    </label>
    <div class="text-center">
      <input class="form-control" type="file"
             (change)="onChange($event)">
      <br>
      <br>
      <div (click)="onUpload()" style="width: 400px; display: flex; ">
        <button class="vtmn-btn vtmn-btn_variant--primary vtmn-btn_size--medium">
          Upload
        </button>
      </div>
    </div>
  </div>
</div>

<div style="margin: 10px" class="vtmn-card_image">
  <img
    src={{url}}
    alt=""
  />
</div>

<div style="margin: 20px" class="vtmn-loader vtmn-loader_size--large" *ngIf="loadData">
  <span class="vtmn-sr-only">Loading</span>
</div>

<div style="margin: 10px" *ngIf="sport">
  <h2 style="font-size: x-large">Sport trouvé: <b>{{sport}}</b></h2>
    <p style="font-size: x-large" >{{this.displaySportJO}}</p>
</div>

<div *ngFor="let product of produitsConseilles; let index = index">
  <div class="block" style="cursor: pointer" (click)="goToLink('https://www.decathlon.fr/p/_/R-p-120677?mc=' + product.product.decathlon_id)">
      <div class="vtmn-card">
        <div style="width: 100%">
          <div class="vtmn-card_content">
            <div style="display: inline-block">
              <h2 class="vtmn-card_content--title">{{product.type.name}}</h2>
              <div class="vtmn-card_content--body">
                {{product.product.name}}
              </div>
            </div>
            <div style="display: inline-block; width: 100px">
              <div class="vtmn-card_image">
                <img style="width: 100px; float: right  "
                     src={{product.image_url}}
                     alt=""
                />
              </div>
            </div>
          </div>
        </div>
        <button  style="float: right; position: relative; margin: 5px" (click)="goToLink('https://www.decathlon.fr/p/_/R-p-120677?mc=' + product.product.decathlon_id)" class="vtmn-btn vtmn-btn_variant--primary vtmn-btn_size--medium">
          Voir le produit
        </button>
      </div>
  </div>
  <br>
</div>

<img
  style="position: absolute; top: 200px; right: 0px; width: 500px;" *ngIf="displayStickman(sport)"
  [src]="displayStickman(sport)"
  alt="Overlay stickman"
/>
